1. Orders
OrderMesh QA
  • User
    • Client
      • Generate Service Client Access Token
    • User
      • Login User by Username and Password
      • Login User with Refresh Token
  • Order
    • OrderItems
      • Search for order items based on various criteria and filters
    • Orders
      • Create a New Order.
        POST
      • Search for orders based on various criteria and filters.
        GET
      • Create multiple orders
        POST
      • Retrieve multiple orders
        GET
      • Update multiple orders
        PATCH
      • Retrieve a list of orders
        GET
      • Retrieve an order by Order ID.
        GET
      • Update order data.
        PATCH
      • Retrieve an order by Safe ID
        GET
      • Retrieve order item by Order Item ID
        GET
      • Update an item within an order.
        PATCH
      • Cancel Order or order items
        POST
      • Change the order status to Customer Care Hold
        POST
      • Retrieve audit logs for a specific order.
        GET
      • Retrieve audit logs for a specific order.
        GET
      • Retrieve audit logs for a specific order item.
        GET
      • Add a Refund Request.
        POST
  • Note
    • Notes
      • Create a New Note
      • Search All Notes
      • View Note by ID
      • Update Note
      • Delete Note
      • View Note Audit Logs
  • Catalog
    • Categories
      • View all product categories
      • Create a new category
      • Update category
      • Delete category
      • Get audit logs of a category
    • MerchantCatalog
      • Create a merchant catalog
      • Update a merchant catalog
      • Partially update a merchant catalog
      • Get a list of merchant catalogs
      • Delete a merchant catalog
      • Get a merchant catalog and search variants in it
      • Get a merchant catalog with variants
      • Get a list of variants the merchant can use in accordance with their enabled catalog
      • Search for variants in enabled merchant catalog with fallback to global catalog
      • Get audit logs of a merchant catalog
    • Products
      • View all products
      • Retrieve product variant details
      • Create a new product
      • Search products
      • Bulk create products
      • Bulk update products
      • Update product
      • Delete product
      • Update variant
      • Get audit logs of a product
    • Variants
      • Delete variant
      • Create a variant
      • Search product variants
      • Get audit logs of a variant
  • Shipment
    • Packing Slip
      • Generates a packing slip for a specific shipment by Shipment ID.
    • Shipments
      • Get details of a specific shipment by Shipment ID.
      • Update details of a specific shipment by Shipment ID.
      • Create packages for a specific shipment.
      • Delete shipment with packages.
      • Get all shipments for an order by Order ID.
      • Create shipment for order, vendor, and order items.
      • Get shipment with packages for order and vendor.
      • Get shipment details by Order Item ID.
      • Update a specific shipment package.
      • Delete a specific shipment package.
      • Cancel shipment.
      • Unassign items to shipment.
      • Shipment resubmission to assigned facility.
      • Retry outbound polling for a shipment by publishing an OutboundShipmentUpdate event.
      • Search shipments.
      • Reroute shipment.
      • Rejects a shipment.
      • Bulk reroute shipments.
      • Get shipment audit logs.
      • Get package audit logs.
      • Get message audit logs for shipment updates.
      • Assign Shipment.
  • Schemas
    • Notes
      • /v1/notes
      • /v1/notes
      • /v1/notes/{noteId}
      • /v1/notes/{id}
      • /v1/notes/{id}
      • /v1/notes/{id}/auditLogs
  1. Orders

Retrieve a list of orders

GET
/v1/orders/list
This endpoint enables you to retrieve a list of orders according to any specified filter criteria and sort options.

Request

Query Params

Responses

🟢200
application/json
OK
Body

🟠400
🟠401
🟠403
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.qa.ordermesh.io/order/v1/orders/list?page=&pageSize=&merchantId=&since=&sortBy=&desc='
Response Response Example
200 - Success
{
    "orders": [
        {
            "reprint": null,
            "facilityNames": null,
            "shipmentCreatedDates": null,
            "shipmentIds": null,
            "id": "65add270441de72442397b6e",
            "shortId": "O04790082",
            "shippingAddress": {
                "location": null,
                "firstName": "Emily",
                "lastName": "Williams",
                "line1": "475 Oak Avenue",
                "line2": "Suite 2B",
                "line3": null,
                "city": "Pleasantville",
                "state": "NJ",
                "zip": "08232",
                "countryCode": "US",
                "phone": "609-555-0123",
                "email": "emily.w@example.com"
            },
            "billingAddress": {
                "location": null,
                "firstName": "Emily",
                "lastName": "Williams",
                "line1": "475 Oak Avenue",
                "line2": "Suite 2B",
                "line3": null,
                "city": "Pleasantville",
                "state": "NJ",
                "zip": "08232",
                "countryCode": "US",
                "phone": "609-555-0123",
                "email": "billing@example.com"
            },
            "returnAddress": null,
            "externalId": "75a452bf-d245-45da-9f65-a4d7957d8893",
            "safeId": "0f438c56-5ebe-4090-8d90-e0bba7cbb52c",
            "languageCode": "en",
            "customerTotal": {
                "currency": "USD",
                "amount": 30
            },
            "customerItemTotal": {
                "currency": "USD",
                "amount": 20
            },
            "customerTotalShipping": {
                "currency": "USD",
                "amount": 5
            },
            "customerTotalTaxes": {
                "currency": "USD",
                "amount": 5
            },
            "customerTotalDiscountAndPromotions": {
                "currency": "USD",
                "amount": 0
            },
            "customerPaymentMethods": [
                {
                    "method": "Debit Card",
                    "subMethod": "Visa",
                    "cardFirst4": "1234",
                    "cardLast4": "1234",
                    "billingInfo": {
                        "fullName": "Emily Williams",
                        "address": {
                            "location": null,
                            "firstName": "Emily",
                            "lastName": "Williams",
                            "line1": "475 Oak Avenue",
                            "line2": "Suite 2B",
                            "line3": null,
                            "city": "Pleasantville",
                            "state": "NJ",
                            "zip": "08232",
                            "countryCode": "US",
                            "phone": "609-555-0123",
                            "email": ""
                        }
                    },
                    "customerTransactions": [
                        {
                            "total": {
                                "currency": "USD",
                                "amount": 30
                            },
                            "transactionDate": "01/22/2024 02:26:56",
                            "transactionId": "TX12345678",
                            "authorizationCode": "AUTH7890"
                        }
                    ]
                }
            ],
            "status": "Open",
            "billingStatus": "Refunded",
            "merchantId": "46bae16f-3ccd-4afa-90d2-706551acbed7",
            "merchantName": "Test Merchant",
            "customerShippingMethod": "Standard",
            "isTest": true,
            "isSample": true,
            "createdAt": "2024-01-22T02:26:56.56+00:00",
            "updatedAt": null,
            "cancelledAt": null,
            "meta": {
                "additionalProp1": "Test"
            },
            "allowExternalOrderIdDuplication": false,
            "isPollingStopped": false,
            "automaticProcessing": null
        }
    ],
    "total": 1
}
Modified at 2026-09-10 16:05:53
Previous
Update multiple orders
Next
Retrieve an order by Order ID.
Built with